<div class="close" (click)="closeDialog()"></div>
<div mat-dialog-title>
  <h2>{{ 'newproject.create' | translate }}</h2>
</div>
<div class="new-project-container" mat-dialog-content>
  <form class="user-form" #f="ngForm">
    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'newproject.projectname' | translate }}"
        [(ngModel)]="projectName"
        name="projectName"
        required
      />
    </mat-form-field>

    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'newproject.description' | translate }}"
        name="projectDescription"
        [(ngModel)]="projectDescription"
        required
      />
    </mat-form-field>

    <mat-form-field>
      <mat-label>{{ 'newproject.copying' | translate }}</mat-label>
      <mat-select
        [required]="false"
        [value]="template.projectId"
        (selectionChange)="changeProjectId($event.value)"
      >
        <mat-option *ngFor="let project of projects" [value]="project.id">
          {{ project.name }}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <div>
      {{ 'newproject.cloneDescription' | translate }}
    </div>

    <div class="btn" mat-dialog-actions>
      <button
        mat-raised-button
        color="primary"
        [disabled]="!f.valid"
        (click)="onSubmit()"
      >
        {{ 'newproject.create' | translate }}
      </button>
    </div>
  </form>
</div>
